Bug 1010431 - Cards with rt3290 stop functioning after a while, have to reboot to resume normal operations
Cards with rt3290 stop functioning after a while, have to reboot to resume no...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
All Linux
unspecified Severity high
: ---
: ---
Assigned To: fedora-kernel-wireless-ralink
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-20 14:57 EDT by Alex Andilevko
Modified: 2016-05-13 03:54 EDT (History)
12 users (show)

See Also:
Fixed In Version: kernel-3.11.2-301.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-30 21:57:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Andilevko 2013-09-20 14:57:30 EDT
Description of problem:
After the kernel upgrade to 3.11, stops operating wi-fi. With a little work and disconnects. Up until a reboot.

Card:
07:00.0 Network controller: Ralink corp. RT3290 Wireless 802.11n 1T/1R PCIe
	Subsystem: Hewlett-Packard Company Device 18ec
	Flags: bus master, fast devsel, latency 0, IRQ 16
	Memory at 63510000 (32-bit, non-prefetchable) [size=64K]
	Capabilities: <access denied>
	Kernel driver in use: rt2800pci


Version-Release number of selected component (if applicable):
3.11.1-300.fc20.x86_64

How reproducible:


Steps to Reproduce:
1. Update to kernel 3.11
2.
3.

Actual results:
wi-fi disconnected

Expected results:
wi-fi works fine.

Additional info:
KBZ: https://bugzilla.kernel.org/show_bug.cgi?id=61621#c4
Comment 2 Stanislaw Gruszka 2013-09-23 05:14:19 EDT
Posted revert of bad commit:
http://marc.info/?l=linux-wireless&m=137992749815360&w=2

Josh, please apply it as fix for this bug.
Comment 3 Josh Boyer 2013-09-23 09:42:23 EDT
Applied.  Thanks.
Comment 4 Fedora Update System 2013-09-27 17:42:45 EDT
kernel-3.11.2-201.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kernel-3.11.2-201.fc19
Comment 5 Fedora Update System 2013-09-28 21:22:00 EDT
Package kernel-3.11.2-201.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.11.2-201.fc19'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17865/kernel-3.11.2-201.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-09-30 12:28:17 EDT
kernel-3.11.2-301.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kernel-3.11.2-301.fc20
Comment 7 Fedora Update System 2013-09-30 21:57:24 EDT
kernel-3.11.2-201.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-10-02 02:36:17 EDT
kernel-3.11.2-301.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.